<?php
ViewResponse::getInstance()->setMethodAjax();

/*****************************************/
$o_ObjectBean = new BalanceDiaBean();
if($cboSucursal   !=""){ $o_ObjectBean->setIdSucursal($cboSucursal); }
if($txtFechaInicial   !=""){ $o_ObjectBean->setFechaBalance($txtFechaInicial); }
if($txtFechaFinal   !=""){ $o_ObjectBean->setFechaBalanceFinal($txtFechaFinal); }

$o_class = new BalanceDiaBL();
$a_ObjectBean = $o_class->busquedaBalanceDiaHeader($o_ObjectBean);
/*****************************************/


$pdf = new TCPDF('P', PDF_UNIT, PDF_PAGE_FORMAT, true); 
$pdf->AliasNbPages();
$pdf->setPrintHeader(false);
$pdf->setPrintFooter(false);
define("POS_IZQ", 5);

$pdf->AddPage();

/*iniciop titulo*/
$pdf->SetFont('times','B',13);
$pdf->SetX(POS_IZQ);
$pdf->SetFillColor(201,202,204);
$pdf->Cell(200,4,'Lista de Balance Diario',0,0,'L',1);
/*fin titulo*/

/*inicio de cabecera*/
$pdf->SetFont('times','B',7);
$pdf->SetXY(POS_IZQ,20);
$pdf->SetFillColor(236,235,236);
$pdf->Cell(6,4,'Nro',0,0,'L',1);
$pdf->Cell(20,4,'Sucursal',0,0,'L',1);
$pdf->Cell(15,4,'F.Balance',0,0,'L',1);
$pdf->Cell(50,4,'Comentario.',0,0,'L',1);
$pdf->Cell(20,4,'Total.',0,0,'R',1);
$pdf->Cell(35,4,'U.Registro',0,0,'L',1);
$pdf->Cell(40,4,'F.Registro',0,1,'L',1);
/*fin de cabecera*/
$pos    = 25;
$count  = 0;
$x      = 0;
$pdf->SetFillColor(254,254,254);
$pdf->SetFont('times','',7);

if(count($a_ObjectBean)>0){
  foreach ($a_ObjectBean as $iKey => $o_objBean){
  	  $pdf->SetXY(POS_IZQ,$pos);
      $i++;       
      $pdf->Cell(6,4,($i),0,0,'L',1);
      $pdf->Cell(20,4,$o_objBean->getNombreSucursal(),0,0,'L',1);
      $pdf->Cell(15,4,$o_objBean->getFechaBalance(),0,0,'L',1);
      $pdf->Cell(50,4,$o_objBean->getComentario(),0,0,'L',1);
      $pdf->Cell(20,4,$o_objBean->getSumaTotal(),0,0,'R',1);
      $pdf->Cell(35,4,$o_objBean->getUsuarioCreacion(),0,0,'L',1);      
      $pdf->Cell(40,4,$o_objBean->getFechaCreacion(),0,1,'L',1);      
     
  }  
}else{  
  $pdf->SetXY(POS_IZQ,$pos);
  $pdf->Cell(200,4,"No hay registros.",0,0,'L',1);

}

$pdf->Output();

?>